Bug 1256476 - [abrt] trojita: QXcbConnection::internAtom(): trojita killed by SIGSEGV
[abrt] trojita: QXcbConnection::internAtom(): trojita killed by SIGSEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qt5-qtbase (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6be8b05ad84ba31b16a7b741acd...
:
: 1256478 1259470 1392511 (view as bug list)
Depends On: 1266712
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 12:50 EDT by Karel Volný
Modified: 2016-12-14 08:06 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 07:43:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.42 KB, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: core_backtrace (9.29 KB, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: dso_list (21.12 KB, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: environ (1.76 KB, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: maps (94.57 KB, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: open_fds (1.57 KB, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details
File: var_log_messages (306 bytes, text/plain)
2015-08-24 12:50 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2015-08-24 12:50:15 EDT
Version-Release number of selected component:
trojita-0.5-7.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /bin/trojita
crash_function: QXcbConnection::internAtom
executable:     /usr/bin/trojita
global_pid:     3296
kernel:         4.2.0-0.rc6.git0.2.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QXcbConnection::internAtom at qxcbconnection.cpp:1763
 #1 QXcbSystemTrayTracker::create at qxcbsystemtraytracker.cpp:63
 #2 QXcbConnection::systemTrayTracker at qxcbconnection.cpp:2048
 #3 systemTrayTracker at qxcbnativeinterface.cpp:110
 #4 QXcbNativeInterface::nativeResourceForScreen at qxcbnativeinterface.cpp:288
 #5 locateSystemTray at util/qsystemtrayicon_x11.cpp:60
 #6 QSystemTrayIconPrivate::isSystemTrayAvailable_sys at util/qsystemtrayicon_x11.cpp:352
 #7 QSystemTrayIcon::isSystemTrayAvailable at util/qsystemtrayicon.cpp:346
 #8 KStatusNotifierItemPrivate::setLegacySystemTrayEnabled at ../../src/kstatusnotifieritem.cpp:801
 #9 KStatusNotifierItemPrivate::setLegacyMode at ../../src/kstatusnotifieritem.cpp:773
Comment 1 Karel Volný 2015-08-24 12:50:19 EDT
Created attachment 1066526 [details]
File: backtrace
Comment 2 Karel Volný 2015-08-24 12:50:20 EDT
Created attachment 1066527 [details]
File: cgroup
Comment 3 Karel Volný 2015-08-24 12:50:21 EDT
Created attachment 1066528 [details]
File: core_backtrace
Comment 4 Karel Volný 2015-08-24 12:50:23 EDT
Created attachment 1066529 [details]
File: dso_list
Comment 5 Karel Volný 2015-08-24 12:50:24 EDT
Created attachment 1066530 [details]
File: environ
Comment 6 Karel Volný 2015-08-24 12:50:25 EDT
Created attachment 1066531 [details]
File: limits
Comment 7 Karel Volný 2015-08-24 12:50:27 EDT
Created attachment 1066532 [details]
File: maps
Comment 8 Karel Volný 2015-08-24 12:50:28 EDT
Created attachment 1066533 [details]
File: mountinfo
Comment 9 Karel Volný 2015-08-24 12:50:29 EDT
Created attachment 1066534 [details]
File: namespaces
Comment 10 Karel Volný 2015-08-24 12:50:30 EDT
Created attachment 1066535 [details]
File: open_fds
Comment 11 Karel Volný 2015-08-24 12:50:31 EDT
Created attachment 1066536 [details]
File: proc_pid_status
Comment 12 Karel Volný 2015-08-24 12:50:33 EDT
Created attachment 1066537 [details]
File: var_log_messages
Comment 13 Raphael Groner 2015-08-24 13:23:55 EDT
Backtrace indicates some bug in Qt5, so reassigning.
Comment 14 Raphael Groner 2015-08-25 06:05:57 EDT
Possible duplication of bug #1255902.
Comment 15 Raphael Groner 2015-09-04 09:50:50 EDT
*** Bug 1259470 has been marked as a duplicate of this bug. ***
Comment 16 Raphael Groner 2015-09-26 16:07:30 EDT
FTBFS in rawhide, I've to fix that first.
Comment 17 Raphael Groner 2016-11-07 15:38:46 EST
*** Bug 1392511 has been marked as a duplicate of this bug. ***
Comment 18 Raphael Groner 2016-11-07 15:40:04 EST
Maybe it get's better with any upcoming Qt5.7+ …
Comment 19 Raphael Groner 2016-11-07 15:56:42 EST
*** Bug 1256478 has been marked as a duplicate of this bug. ***
Comment 20 Raphael Groner 2016-11-07 16:05:22 EST
It seems the offending method is not thread safe. What about checking for null pointers and return some invalid atom object to let applications not crash? Also, we should ask the maintainers of XCB for some help.

xcb_atom_t QXcbConnection::internAtom(const char *name)
{
    if (!name || *name == 0)
        return XCB_NONE;

    xcb_intern_atom_cookie_t cookie = xcb_intern_atom(xcb_connection(), false, strlen(name), name);
    xcb_intern_atom_reply_t *reply = xcb_intern_atom_reply(xcb_connection(), cookie, 0);
    int atom = reply->atom;
    free(reply);
    return atom;
}
Comment 21 Karel Volný 2016-11-15 06:49:35 EST
Similar problem has been detected:

it got stuck after trying to login at http://zbranekvalitne.cz/forum/ucp.php?mode=login

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/qupzilla
executable:     /usr/bin/qupzilla
global_pid:     30095
kernel:         4.8.6-300.fc25.x86_64
package:        qupzilla-2.0.2-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         qupzilla killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 Karel Volný 2016-11-15 06:54:49 EST
um, it's nice to get redirected here after a crash of a different application two Fedora versions later :-)
Comment 23 Raphael Groner 2016-11-15 11:26:29 EST
Because it's (nearly) always the same backtrace you report about a bug in the core of Qt5. See explanation in comment #20.
Comment 24 Rex Dieter 2016-11-15 11:42:37 EST
Re-assigning back to Qt, this is almost certainly not a libxcb issue
Comment 25 Ngo Than 2016-11-16 05:30:31 EST
i tested the trojita on machine with f24 and  cannot reproduce this issue. Could someone please add an reproducer for that so i can check?

Thanks
Comment 26 Ngo Than 2016-11-24 07:43:09 EST
I'm closing that bugzilla INSUFFICIENT_DATA because there's no testcase to reproduce this issue.  Feel free to reopen it once you find some way how to reproduce it.

thanks
Comment 27 Karel Volný 2016-12-14 08:06:30 EST
(In reply to Ngo Than from comment #25)
> Could someone please add an reproducer for that so i can check?

sorry, I just don't know what triggered the problem

the page mentioned in comment#21 doesn't seem to reproduce the Qupzilla problem now

Note You need to log in before you can comment on or make changes to this bug.